List versioned prompts
curl --request GET \
--url https://api.vogent.ai/api/agents/{agentId}/versioned_prompts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/agents/{agentId}/versioned_prompts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/agents/{agentId}/versioned_prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"prompt": "<string>",
"flowDefinition": {
"nodes": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"transitionRules": [
{
"transitionNodeId": "<string>",
"field": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
],
"nodeData": {},
"outputSchema": "<string>"
}
],
"globalContext": "<string>",
"aiOpen": true
},
"aiModelId": "<string>",
"modelOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
]
}
],
"cursor": "<string>"
}Versioned Prompts
List versioned prompts
Lists versioned prompts for a given agent.
GET
/
agents
/
{agentId}
/
versioned_prompts
List versioned prompts
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the agent.
Query Parameters
The maximum number of prompts to list.
The pagination cursor returned by the previous request. Feed the result provided by vogent verbatim.
⌘I